Author Topic: dimension extension line lisp needed  (Read 2514 times)

0 Members and 1 Guest are viewing this topic.

ELOQUINTET

  • Guest
dimension extension line lisp needed
« on: April 01, 2005, 12:41:50 PM »
we have a routine which someone developed (but encrypted sigh) which will turn off the selected dimension leg and change it from architectural tick to none. can anyone help me with writing something that would reverse this as i'm getting sick of going into properties and reversing it manually.  :cry:

Mark

  • Custom Title
  • Seagull
  • Posts: 28762
dimension extension line lisp needed
« Reply #1 on: April 01, 2005, 02:08:46 PM »
You mean change back to an arch tick?
TheSwamp.org  (serving the CAD community since 2003)

ELOQUINTET

  • Guest
dimension extension line lisp needed
« Reply #2 on: April 01, 2005, 02:41:20 PM »
yes mark so it turns the extension line on and chnges it to an architectural tick. thanks

Mark

  • Custom Title
  • Seagull
  • Posts: 28762
dimension extension line lisp needed
« Reply #3 on: April 01, 2005, 02:49:57 PM »
real quick.......
Code: [Select]



 (if (setq ent (car (entsel)))
   (progn
(setq obj (vlax-ename->vla-object ent))
(if (vlax-property-available-p obj 'Arrowhead1Type T)
  (vlax-put-property obj 'Arrowhead1Type acArrowArchTick)
  )
(if (vlax-property-available-p obj 'Arrowhead2Type T)
  (vlax-put-property obj 'Arrowhead2Type acArrowArchTick)
  )
)
   )

(vlax-release-object obj)
TheSwamp.org  (serving the CAD community since 2003)